--- title: "Is Sensor Config Modified" slug: "is-sensor-config-modified" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:37:28Z published: 2026-09-23T09:37:28Z canonical: "docs.trellix.com/is-sensor-config-modified" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Is Sensor Config Modified This URL provides the information whether sensor config has been modified and configuration update is pending to the Sensor. The configuration change details are provided as well. ## Resource URL GET /sensor//config/status ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor Id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | deviceName | Name of the device | String | | isSigsetConfigPushRequired | Is sigset configuration required | Boolean | | isSSLPushRequired | Policy visible to child domain | Boolean | | isBotnetPushRequired | Firewall policy description | Boolean | | lastUpdateTime | Last updated timestamp of the config push | String | | pendingChanges | Configuration changes details | Object | | isGAMUpdateRequired | Gateway Anti-Malware update on Sensor is required or not | Boolean | Details of pendingChanges: | Field Name | Description | Data Type | | --- | --- | --- | | isPolicyConfigurationChanged | Policy configuration is changed or not | Boolean | | isConfigurationChanged | Configuration is changed or not | Boolean | | isSignatureSetConfigurationChanged | Sigset configuration is changed or not | Boolean | | isSSLConfigurationChanged | SSL configuration is changed or not | Boolean | | isGloablPolicyConfigurationChanged | Global policy configuration is changed or not | Boolean | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/sensor/1001/%20action/update_sensor_config](https://%3CNSM_IP%3E/sdkapi/sensor/1001/%20action/update_sensor_config) **Response** ``` { "deviceName" : "M-2950", "lastUpdateTime" : "2013-09-03 20:16:54.000 IST", "pendingChanges" : { "isPolicyConfigurationChanged" : true, "isConfigurationChanged" : false, "isMalwareConfigurationChanged" : false, "isSignatureSetConfigurationChanged" : false, "isSSLConfigurationChanged" : false, "isBotnetConfigurationChanged" : true, "isGloablPolicyConfigurationChanged" : false }, "isSigsetConfigPushRequired" : true, "isSSLPushRequired" : false, "isBotnetPushRequired" : true "isGAMUpdateRequired": true } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor |